Ubuntu

debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable

Reported by chocka on 2009-03-27
This bug affects 631 people
Affects Status Importance Assigned to Milestone
Ambasa
New
Undecided
Unassigned
Debconf
New
Undecided
Unassigned
aptdaemon (Ubuntu)
Medium
Unassigned
debconf (Ubuntu)
Medium
Unassigned

Bug Description

Upgrading packages that use debconf sometimes fail with the following error:

debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable

chocka (chocka) wrote :
Till Kamppeter (till-kamppeter) wrote :

Looks like that all packages which use debconf are affected here. Perhaps apt or dpkg should check whether /var/cache/debconf/config.dat is locked before starting an update.

Setting up ufw (0.23.3) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing ufw (--configure):
 subprocess post-installation script returned error exit status 1
Setting up cups (1.3.9-2ubuntu8) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing cups (--configure):
 subprocess post-installation script returned error exit status 1

summary: - package cups 1.3.9-2ubuntu8 failed to install/upgrade: subprocess post-
- installation script returned error exit status 1
+ debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by
+ another process: Resource temporarily unavailable
Colin Watson (cjwatson) wrote :

It would be entirely unhelpful if dpkg checked the debconf lock; you'd just get much the same failure slightly further up.

Maybe apt could check, but I think this might be more realistic for something that's intended to be much smarter, such as update-manager, so reassigning there. However, note that it is not actually possible to check this correctly outside debconf right now, as debconf does not necessarily use the same database in all installations. I recommend not fixing this in haste.

affects: dpkg (Ubuntu) → update-manager (Ubuntu)
Colin Watson (cjwatson) wrote :

Well, you might be able to check it by starting a debconf-communicate process and seeing whether it exits 1 or 127. (I'm not quite sure why it's 127 for "did nothing"; weird.)

Matt Zimmerman (mdz) on 2009-03-30
affects: update-manager (Ubuntu) → apt (Ubuntu)
Changed in apt (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Julian Mehnle (jmehnle) wrote :

As a resolution to the immediate lock problem, https://wiki.edubuntu.org/DebuggingInstallationIssues recommends using `fuser -v /var/cache/debconf/config.dat` to determine the process holding the lock and then killing it.

Thank you...

Julian Mehnle wrote:
> As a resolution to the immediate lock problem,
> https://wiki.edubuntu.org/DebuggingInstallationIssues recommends using
> `fuser -v /var/cache/debconf/config.dat` to determine the process
> holding the lock and then killing it.
>
>

Thank you, works great.

Gary

On Mon, Mar 8, 2010 at 7:24 AM, Kevin S
<email address hidden>wrote:

> Thank you...
>
> Julian Mehnle wrote:
> > As a resolution to the immediate lock problem,
> > https://wiki.edubuntu.org/DebuggingInstallationIssues recommends using
> > `fuser -v /var/cache/debconf/config.dat` to determine the process
> > holding the lock and then killing it.
> >
> >
>
> --
> debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by
> another process: Resource temporarily unavailable
> https://bugs.launchpad.net/bugs/349469
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

affects: apt (Ubuntu) → debconf (Ubuntu)

I had the same problem:
This solved it for me:
sudo rm -rf /var/cache/debconf/*
sudo apt-get install -f

patpat (masottaus) wrote :

the same thing here on 8.04 tryng to run a humble debconf script...

the proposed solution didn't work , the file has no one locking it...
I've reinstalled debconf & debconf-utils... so far no luck...

Meng Jiao (meng1usa) wrote :

#8, Thomas's method fixed my problem

tags: added: iso-testing
Changed in debconf (Ubuntu):
assignee: nobody → Ubuntu Foundations Team (ubuntu-foundations-team)
Colin Watson (cjwatson) wrote :

I recommend against Thomas' method in comment #8. While it is technically a cache, removing it removes all saved answers to debconf questions, and you'll have to answer them all again on future upgrades!

Simply rebooting, while inelegant, would be much less destructive.

Thanks, Colin...I'll give it a go

cheers

kate

On 22 June 2011 10:43, Colin Watson <email address hidden> wrote:
> I recommend against Thomas' method in comment #8.  While it is
> technically a cache, removing it removes all saved answers to debconf
> questions, and you'll have to answer them all again on future upgrades!
>
> Simply rebooting, while inelegant, would be much less destructive.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (719784).
> https://bugs.launchpad.net/bugs/349469
>
> Title:
>  debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by
>  another process: Resource temporarily unavailable
>
> Status in “debconf” package in Ubuntu:
>  Triaged
>
> Bug description:
>  Binary package hint: cups
>
>  Crash detection report attached.
>
>  ProblemType: Package
>  Architecture: i386
>  DistroRelease: Ubuntu 8.10
>  ErrorMessage: subprocess post-installation script returned error exit status 1
>  NonfreeKernelModules: nvidia
>  Package: cups 1.3.9-2ubuntu8
>  SourcePackage: cups
>  Title: package cups 1.3.9-2ubuntu8 failed to install/upgrade: subprocess post-installation script returned error exit status 1
>  Uname: Linux 2.6.27-11-generic i686
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/349469/+subscriptions
>

--
make tea...not war

Il 22/06/2011 19:43, Colin Watson ha scritto:
> I recommend against Thomas' method in comment #8. While it is
> technically a cache, removing it removes all saved answers to debconf
> questions, and you'll have to answer them all again on future upgrades!
>
> Simply rebooting, while inelegant, would be much less destructive.
>
>
thanx so much!!
I love my linux!!!

gianlu, Italy

tags: added: debconf-config-locked

Thanks!!!! Very very thanks too xD

2011/6/23, Brian Murray <email address hidden>:
> ** Tags added: debconf-config-locked
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (545106).
> https://bugs.launchpad.net/bugs/349469
>
> Title:
> debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by
> another process: Resource temporarily unavailable
>
> Status in “debconf” package in Ubuntu:
> Triaged
>
> Bug description:
> Binary package hint: cups
>
> Crash detection report attached.
>
> ProblemType: Package
> Architecture: i386
> DistroRelease: Ubuntu 8.10
> ErrorMessage: subprocess post-installation script returned error exit
> status 1
> NonfreeKernelModules: nvidia
> Package: cups 1.3.9-2ubuntu8
> SourcePackage: cups
> Title: package cups 1.3.9-2ubuntu8 failed to install/upgrade: subprocess
> post-installation script returned error exit status 1
> Uname: Linux 2.6.27-11-generic i686
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/349469/+subscriptions
>

--
Atte. Mia

dan hawk (yellowbronco) wrote :

i tried reboot and went back to the begining , didnt fix it

the problem for me appeared to be that software center was open while installing using the command line apt-get... but I'm not sure it was really related. I closed it and removed/installed the package again and it worked.

Colin Watson (cjwatson) wrote :

On Thu, Jul 28, 2011 at 03:41:52PM -0000, Leonardo Santagada @ Proge.com.br wrote:
> the problem for me appeared to be that software center was open while
> installing using the command line apt-get... but I'm not sure it was
> really related.

This is indeed a classic reason for getting this kind of error. You can
only use one package management program at a time.

Steve Langasek (vorlon) wrote :

On Thu, Jul 28, 2011 at 04:09:35PM -0000, Colin Watson wrote:
> On Thu, Jul 28, 2011 at 03:41:52PM -0000, Leonardo Santagada @ Proge.com.br wrote:
> > the problem for me appeared to be that software center was open while
> > installing using the command line apt-get... but I'm not sure it was
> > really related.

> This is indeed a classic reason for getting this kind of error. You can
> only use one package management program at a time.

Isn't it a bit strange to hit a debconf error in that case, however? You
should run into locking problems with either apt or dpkg well before debconf
is involved.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Erick Brunzell (lbsolost) wrote :

I got this just after quitting a live install of an Lubuntu Oneiric Beta 2 "candidate" to collect some bug info, including screenshots.

Since Lubuntu has no screenshot tool installed by default I had used synaptic to install the xfce screenshot tool.

I'm posting this mostly so I can follow up on it myself.

No major worries, but I wish we could roll back to a sane ubiquity ....... circa Lucid ;^)

Tongue. In. Cheek.

Just smile.

tags: added: rls-mgr-p-tracking

I got this in an update with Oneiric Beta today.

a cursory review of the existing commentary here leads me reconsider my speculation over the source of this issue, as manifest on /my/ system. Please indulge my narrative concerning the unusual approach to package-management I whimsically employed with this Lubuntu flavour of Ubuntu "Natty" (11.04?).

Over the past 10 - 14 months or so, I've installed at least a handful of different Linux distributions on as many HDD's (embarking upon something new with each instance of Win XP / .NET incompatibility surfacing, as essentially renders the MS sys in a /broken/ state), from classic GNOME-based Ubuntu, Xubuntu, to OpenSUSE including a full-blown KDE setup, to my current favourite, the LXDE-based "Lubuntu" variant of the 'buntu.

Somewhere along the line, i discovered the Pandora's Box of pkg mgt in the application known as (cover your ears, kids!) /Eveinstaller/. Once I started down that path, I threw caution to the wind and pulled out all the stops just to see if this software could actually perform as well as it presents a veritable plethora of software not likely to be found via default Canonical + Partner repos (e.g. deb http://archive.ubuntu.com/ubuntu natty main restricted universe multiverse). If I had to summarize it into one sentence, I'm inclined to phrase the experience as "Eve___ basically wrecked my sources, if not the entire dpkg functionality, such that-- I'd have to have paid much closer attention to the changes to /etc/apt/sources.list.d/ (vs those repos i might have added, for example, the Banshee media player, launchpad repos , or other software repos added through the convenient PPA method (e.g. sudo add-apt-repository ppa:user/ppa-name ).

The bottom-line, as far as I'm concerned: I realise I've damaged my system's /default/ package manager configuration. The fact that I've experienced this error-- well-- I guess you could say, I'm not surprised; i've been expecting it.

If my anecdote lends insight to anyone; should the reader wish to learn more about the results of the effect of EveInstaller on my system, I'm happy to provide whatever information I can to assist in your own learning; debugging; etc.

I apologise for my verbosity; indeed, i've come to acknowledge the degenerative mentals and, proportionally-- as the community participation history might corroborate-- i hold my tongue by an increasingly exponential factor of instances of contribution (I regret, as my enthusiasm for the spirit of community at Launchpad in general; 'buntu in particular, has not waned in balance).

best regards,
NoviceNotes.Net (the author)

Steve Langasek (vorlon) on 2011-10-26
tags: added: rls-p-tracking
Steve Langasek (vorlon) on 2011-10-28
description: updated
ebvigmo (erik-vigmostad) wrote :

No output...

On 10/28/2011 12:53 PM, Steve Langasek wrote:
> ** Description changed:
>
> + If you have encountered this bug, please run:
> +
> + sudo fuser /var/cache/debconf/config.dat
> +
> + for each of the shown process IDs, please run:
> +
> + pstree -s $pid
> +
> + and report the output to this bug.
> +
> Binary package hint: cups
>
> Crash detection report attached.
>
> ProblemType: Package
> Architecture: i386
> DistroRelease: Ubuntu 8.10
> ErrorMessage: subprocess post-installation script returned error exit status 1
> NonfreeKernelModules: nvidia
> Package: cups 1.3.9-2ubuntu8
> SourcePackage: cups
> Title: package cups 1.3.9-2ubuntu8 failed to install/upgrade: subprocess post-installation script returned error exit status 1
> Uname: Linux 2.6.27-11-generic i686
>

Wow...

I got this from oneric amd64 live installer environment. ...

sudo fuser /var/cache/debconf/config.dat

I am running UBUNTU 11.10

My machine is HP Compaq Presario V3239TU and has nothing to do with AMD

I get the error in crossplatformui.

I may please be dropped from this bug list.

Steve Langasek (vorlon) wrote :

On Fri, Nov 04, 2011 at 04:15:16AM -0000, Satyapriyananda wrote:
> My machine is HP Compaq Presario V3239TU and has nothing to do with AMD

> I get the error in crossplatformui.

What is crossplatformui?

> I may please be dropped from this bug list.

You would need to drop yourself using the launchpad web interface.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

hayig2000 (hayig2000) wrote :

i got this error upon failure to update grub, so frontend process kept open

Dan Devor (ddevor) wrote :

On 11/06/2011 03:02 PM, hayig2000 wrote:
> i got this error upon failure to update grub, so frontend process kept
> open
>
[Bug 349469] Re: debconf: DbDriver "config":
/var/cache/debconf/config.dat is locked by another process: Resource
temporarily unavailable

Please remove my name from the distribution list for this problem. I get
far to many messages unrelated to my bug report.

Brad M (mannrb) wrote :
Download full text (3.6 KiB)

I cannot get WINE1.3 to uninstall, Software Center and Synaptic Pkg Manager have become completely useless until I get around this :

debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error while cleaning up:
 subprocess new post-removal script returned error exit status 1
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for hicolor-icon-theme ...
Errors were encountered while processing:
 /var/cache/apt/archives/wine1.3_1.3.36-0ubuntu1~ppa1~oneiric1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

pstree -s $pid
init─┬─/usr/bin/termin─┬─/usr/bin/termin
     │ ├─bash───pstree
     │ └─3*[{/usr/bin/termi}]
     ├─NetworkManager─┬─dhclient
     │ └─2*[{NetworkManager}]
     ├─accounts-daemon───{accounts-daemo}
     ├─acpid
     ├─apache2─┬─apache2
     │ └─2*[apache2───26*[{apache2}]]
     ├─aptd
     ├─atd
     ├─avahi-daemon───avahi-daemon
     ├─bluetoothd
     ├─colord───2*[{colord}]
     ├─console-kit-dae───64*[{console-kit-da}]
     ├─cron
     ├─cupsd
     ├─2*[dbus-daemon]
     ├─dbus-launch
     ├─dconf-service───2*[{dconf-service}]
     ├─dpkg───frontend─┬─preinst
     │ └─whiptail
     ├─firefox─┬─plugin-containe───9*[{plugin-contain}]
     │ └─25*[{firefox}]
     ├─gconfd-2
     ├─6*[getty]
     ├─gnome-keyring-d───4*[{gnome-keyring-}]
     ├─gsd-printer───{gsd-printer}
     ├─gvfs-afc-volume───{gvfs-afc-volum}
     ├─gvfs-fuse-daemo───3*[{gvfs-fuse-daem}]
     ├─gvfs-gdu-volume
     ├─gvfs-gphoto2-vo
     ├─gvfsd
     ├─gvfsd-burn
     ├─gvfsd-http───2*[{gvfsd-http}]
     ├─gvfsd-metadata
     ├─gvfsd-trash
     ├─irqbalance
     ├─lightdm─┬─Xorg
     │ ├─gnome-session─┬─applet.py
     │ │ ├─bluetooth-apple───{bluetooth-appl}
     │ │ ├─deja-dup-monito───2*[{deja-dup-monit}]
     │ │ ├─gdu-notificatio
     │ │ ├─gnome-fallback-───2*[{gnome-fallback}]
     │ │ ├─gnome-panel───2*[{gnome-panel}]
     │ │ ├─gnome-settings-───2*[{gnome-settings}]
     │ │ ├─gnome-sound-app───{gnome-sound-ap}
     │ │ ├─metacity───2*[{metacity}]
     │ │ ├─nautilus───2*[{nautilus}]
     │ │ ├─nm-applet───{nm-applet}
     │ │ ├─polkit-gnome-au───2*[{polkit-gnome-a}]
     │ │ ├─ssh-agent
     │ │ ├─telepathy-indic───{telepathy-indi}
     │ │ ├─update-notifier───3*[{update-notifie}]
     │ │ ├─zeitgeist-datah───{zeitgeist-data}
     │ │ └─3*[{gnome-session}]
     │ └─2*[{lightdm}]
     ├─mission-control
     ├─modem-manager
     ├─notify-osd───2*[{notify-osd}]
     ├─oneconf-service───2*[{oneconf-servic}]
     ├─polkitd───{polkitd}
     ├─pulseaudio─┬─gconf-helper
     │ ...

Read more...

Steve Langasek (vorlon) wrote :

Brad, your pstree output shows an orphaned dpkg process:

     ├─dpkg───frontend─┬─preinst
     │ └─whiptail

Do you know how this process was launched? Did you run apt-get or dpkg from a terminal and then close the terminal?

Thomas Hood (jdthood) wrote :

* In one of the dupes (#380491) the submitter says that running tasksel (not as root) simultaneously with "dpkg --configure --pending" (as root) results in the error message.

* In #419100 the submitter suggests that update-manager is conflicting with itself when spawned in "Automatic update / Install security updates without confirmation" mode.

* In #482523 the submitter says that the installer was also running.

* I am able to trigger the message ("debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable") by doing the following:

    while : ; do dpkg-reconfigure -pcritical <package-that-calls-debconf> ; done & update-manager # Then agree to Install Updates

#434286 also mentions use of dpkg-reconfigure.

(So far I have read the dupes up through the six hundred thousands.)

I agree with Steve Langasek who wrote in #18, "You should run into locking problems with either apt or dpkg well before debconf
is involved." Not only in the sense "I'd expect..." but in the sense "It would be better if...": the error messages printed by apt and dpkg are likely to give the user a better idea of what is going wrong (namely, that two processes are trying to carry out package management actions at the same time) than debconf's low-level "/var/cache/debconf/config.dat is locked by another process".

Can this+dupes therefore be considered bugs in dpkg-reconfigure, tasksel and other programs not taking the right locks?

Steve Langasek (vorlon) wrote :

dpkg-reconfigure in fact does not invoke either apt or dpkg, so it's normal that it doesn't take the locks. I think it would be very strange if either dpkg-reconfigure or tasksel accounted for the very many reports of this bug however, as both interfaces are very low-level and I would expect at least one of the bug submitters before now to have mentioned they were running such a command if so.

I think the duplicate bug count/frequency is a sign that something is going wrong and invoking debconf on behalf of the user *without* being initiated from the commandline.

I think I also have to say that, if this really comes down to dpkg-reconfigure or tasksel, rather than having these tools claim apt or dpkg locks directly, we should probably regard the failure as user error and arrange to suppress the error reporting.

Scott Kitterman (kitterman) wrote :

Where I've seen this sort of thing (and I'm sure it's buried in the dupes) is on postfix package installs. Perhaps it would be worth while to examine it's use of debconf and see if it's doing anything troubling/likely to cause such problems. That might lead to a hint for the more general case.

Thomas Hood (jdthood) wrote :

There is no shortage of duplicates of this report. I am inclined to guess that in many cases faulty package scripts are leaving processes around which fail to release the config.dat lock under some circumstances.

In order to test this hypothesis I'd like to go back in time and in each of the 400-odd cases find the rogue process and then figure out why it's running on the user's system. Obviously that's impossible. But perhaps we will have chances to do this in the future.

I certainly don't think that the *majority* of cases has arisen from a package management command being run from a terminal while another package management process runs. I was just asking in #30 whether or not there are higher-level locks that should be taken by such commands, resulting in earlier and more useful error messages. It seems not. In that case I'd say that for now the error message ("debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable") should be extended to give some advice about how to fix the problem... and possibly also to ask for information to be contributed here.

Clint Byrum (clint-fewbar) wrote :

Excerpts from Thomas Hood's message of Wed Mar 21 21:12:53 UTC 2012:
> There is no shortage of duplicates of this report. I am inclined to
> guess that in many cases faulty package scripts are leaving processes
> around which fail to release the config.dat lock under some
> circumstances.
>
> In order to test this hypothesis I'd like to go back in time and in each
> of the 400-odd cases find the rogue process and then figure out why it's
> running on the user's system. Obviously that's impossible. But perhaps
> we will have chances to do this in the future.
>
> I certainly don't think that the *majority* of cases has arisen from a
> package management command being run from a terminal while another
> package management process runs. I was just asking in #30 whether or
> not there are higher-level locks that should be taken by such commands,
> resulting in earlier and more useful error messages. It seems not. In
> that case I'd say that for now the error message ("debconf: DbDriver
> "config": /var/cache/debconf/config.dat is locked by another process:
> Resource temporarily unavailable") should be extended to give some
> advice about how to fix the problem... and possibly also to ask for
> information to be contributed here.
>

Perhaps an apport bug pattern could be written which would look for what
processes are holding the locks?

Pierre Greiner (mailpiegr) wrote :

init───aptd───aptd───sh───dpkg-preconfigu─┬─dpkg-preconfigu
                                          └─matlab-support.

Thomas Hood (jdthood) wrote :

Can you please describe the circumstances under which you obtained that pstree?

Michał Borsuk (michal-borsuk) wrote :

On 27.04.2012 11:36, Thomas Hood wrote:
> Can you please describe the circumstances under which you obtained that
> pstree?
>
Hi. Sorry, after the transition to Unity I no longer consider Ubuntu a
work-stable system, therefore I have no business to help you, especially
because the transition to another system cost me a lot of time.

--
Best regards, mit freundlichen Grüssen, meilleurs sentiments, Pozdrowienia,

Michał Borsuk

I am sorry but I do not remember that anymore.
Got the problem while trying to install Ubuntu on a Lenovo laptop, but for
other reasons had to switch to Win 7.

Regards,

From: Thomas Hood <email address hidden>
To: Emile Wintraeken/Netherlands/Contr/IBM@IBMNL
Date: 27-04-12 11:46
Subject: [Bug 349469] Re: debconf: DbDriver "config":
/var/cache/debconf/config.dat is locked by another process: Resource
temporarily unavailable
Sent by: <email address hidden>

Can you please describe the circumstances under which you obtained that
pstree?

--
You received this bug notification because you are subscribed to a
duplicate bug report (663863).
https://bugs.launchpad.net/bugs/349469

Title:
  debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by
  another process: Resource temporarily unavailable

Status in ?debconf? package in Ubuntu:
  Triaged

Bug description:
  If you have encountered this bug, please run:

    sudo fuser /var/cache/debconf/config.dat

  for each of the shown process IDs, please run:

    pstree -s $pid

  and report the output to this bug.

  Binary package hint: cups

  Crash detection report attached.

  ProblemType: Package
  Architecture: i386
  DistroRelease: Ubuntu 8.10
  ErrorMessage: subprocess post-installation script returned error exit
status 1
  NonfreeKernelModules: nvidia
  Package: cups 1.3.9-2ubuntu8
  SourcePackage: cups
  Title: package cups 1.3.9-2ubuntu8 failed to install/upgrade: subprocess
post-installation script returned error exit status 1
  Uname: Linux 2.6.27-11-generic i686

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/349469/+subscriptions

Tenzij hierboven anders aangegeven: / Unless stated otherwise above:
IBM Nederland B.V.
Gevestigd te Amsterdam
Inschrijving Handelsregister Amsterdam Nr. 33054214

El 27/04/12 06:50, Michał Borsuk escribió:
> On 27.04.2012 11:36, Thomas Hood wrote:
>> Can you please describe the circumstances under which you obtained that
>> pstree?
>>
> Hi. Sorry, after the transition to Unity I no longer consider Ubuntu a
> work-stable system, therefore I have no business to help you, especially
> because the transition to another system cost me a lot of time.
>
that was a long time ago... sorry I do not remember...

minhdai (tranminhdai13) wrote :

update-alternatives: using /usr/bin/lupdate-qt4 to provide /usr/bin/lupdate (lupdate) in auto mode.
update-alternatives: using /usr/bin/lrelease-qt4 to provide /usr/bin/lrelease (lrelease) in auto mode.
Setting up qt4-qmake (4:4.8.1-0ubuntu4.1) ...
update-alternatives: using /usr/bin/qmake-qt4 to provide /usr/bin/qmake (qmake) in auto mode.
Setting up libqt4-dev (4:4.8.1-0ubuntu4.1) ...
update-alternatives: using /usr/bin/moc-qt4 to provide /usr/bin/moc (moc) in auto mode.
update-alternatives: using /usr/bin/uic-qt4 to provide /usr/bin/uic (uic) in auto mode.
update-alternatives: warning: skip creation of /usr/share/man/man1/uic.1.gz because associated file /usr/share/man/man1/uic-qt4.1.gz (of link group uic) doesn't exist.
Setting up phonon-backend-null (4:4.7.0really4.6.0-0ubuntu1) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing phonon-backend-null (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of libphonon-dev:
 libphonon-dev depends on phonon-backend-null | phonon; however:
  Package phonon-backend-null is not configured yet.
  Package phonon is not installed.
dpkg: error processing libphonon-dev (--configure):
 dependency problems - leaving unconfigured
Setting up libqt4-opengl-dev (4:4.8.1-0ubuntu4.1) ...
No apport report written because the error message indicates its a followup error from a previous failure.
                          Setting up libqtwebkit-dev (2.2.1-1ubuntu4) ...
Setting up libx11-doc (2:1.4.99.1-0ubuntu2) ...
Setting up libxi-dev (2:1.6.0-0ubuntu2) ...
Setting up x11proto-record-dev (1.14.1-2) ...
Setting up libxtst-dev (2:1.2.0-4) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
>>>>>>>>>>>>>>>>>>>Errors were encountered while processing:
>>>>>>>>>>>>>>>>>>> man-db
>>>>>>>>>>>>>>>>>>>phonon-backend-null
>>>>>>>>>>>>>>>>>>> libphonon-dev
>>>>>>>>>>>>>>>>>>>E: Sub-process /usr/bin/dpkg returned an error code (1)

what is the error and how to fix it? Please help! :(

tags: added: precise
Steve Langasek (vorlon) on 2012-05-30
Changed in aptdaemon (Ubuntu):
importance: Undecided → Medium
Changed in aptdaemon (Ubuntu):
status: New → Confirmed
description: updated
23 comments hidden view all 103 comments
jmguimera (jmguimera) wrote :
Download full text (17.3 KiB)

Download full text

init,1
  ├─NetworkManager,961
  │ ├─dhclient,1001 -d -4 -sf /usr/lib/NetworkManager/nm-dhcp-client.action -pf /var/run/sendsigs.omit.d/network-manager.dhclient-eth0.pid -lf /var/lib/dhcp/dhclient-7fa962b1-6e53-4836-ac32-dc1a6cad0eca-eth0.lease -cf /var/run/nm-dhclient-eth0.conf eth0
  │ ├─{NetworkManager},985
  │ └─{NetworkManager},1003
  ├─VBoxSVC,5480 --auto-shutdown
  │ ├─VirtualBox,5550 --comment Ubuntu_IMW --startvm 8fc93e2f-bf5c-446d-9521-183a521a6df0 --no-startvm-errormsgbox
  │ │ ├─{VirtualBox},5554
  │ │ ├─{VirtualBox},5555
  │ │ ├─{VirtualBox},5556
  │ │ ├─{VirtualBox},5557
  │ │ ├─{VirtualBox},5562
  │ │ ├─{VirtualBox},5564
  │ │ ├─{VirtualBox},5565
  │ │ ├─{VirtualBox},5566
  │ │ ├─{VirtualBox},5567
  │ │ ├─{VirtualBox},5568
  │ │ ├─{VirtualBox},5569
  │ │ ├─{VirtualBox},5570
  │ │ ├─{VirtualBox},5571
  │ │ ├─{VirtualBox},5572
  │ │ ├─{VirtualBox},5573
  │ │ ├─{VirtualBox},5574
  │ │ ├─{VirtualBox},5575
  │ │ └─{VirtualBox},5576
  │ ├─{VBoxSVC},5482
  │ ├─{VBoxSVC},5483
  │ ├─{VBoxSVC},5484
  │ ├─{VBoxSVC},5485
  │ ├─{VBoxSVC},5486
  │ ├─{VBoxSVC},5487
  │ ├─{VBoxSVC},5490
  │ ├─{VBoxSVC},5491
  │ ├─{VBoxSVC},5507
  │ └─{VBoxSVC},5561
  ├─VBoxXPCOMIPCD,5475
  ├─accounts-daemon,1420
  │ └─{accounts-daemon},1426
  ├─acpid,1060 -c /etc/acpi/events -s /var/run/acpid.socket
  ├─apache2,1607 -k start
  │ ├─apache2,7498 -k start
  │ ├─apache2,7499 -k start
  │ ├─apache2,7500 -k start
  │ ├─apache2,7501 -k start
  │ └─apache2,7502 -k start
  ├─aptd,7301 /usr/sbin/aptd
  │ └─{aptd},7404
  ├─at-spi-bus-laun,5617
  │ ├─{at-spi-bus-laun},5618
  │ └─{at-spi-bus-laun},5620
  ├─atd,1063
  ├─avahi-daemon,933
  │ └─avahi-daemon,934
  ├─bamfdaemon,4157
  │ ├─{bamfdaemon},4158
  │ └─{bamfdaemon},4159
  ├─bluetoothd,917
  ├─chromium-browse,5313
  │ ├─chromium-browse,5317
  │ ├─chromium-browse,5366
  │ │ ├─{chromium-browse},5367
  │ │ └─{chromium-browse},5368
  │ ├─{chromium-browse},5324
  │ ├─{chromium-browse},5325
  │ ├─{chromium-browse},5326
  │ ├─{chromium-browse},5327
  │ ├─{chromium-browse},5328
  │ ├─{chromium-browse},5329
  │ ├─{chromium-browse},5330
  │ ├─{chromium-browse},5331
  │ ├─{chromium-browse},5332
  │ ├─{chromium-browse},5333
  │ ├─{chromium-browse},5334
  │ ├─{chromium-browse},5335
  │ ├─{chromium-browse},5336
  │ ├─{chromium-browse},5338
  │ ├─{chromium-browse},5339
  │ ├─{chromium-browse},5340
  │ └─{chromium-browse},5347
  ├─chromium-browse,5319 /usr/lib/chromium-browser/chromium-browser --type=zygote
  │ └─chromium-browse,5320
  │ ├─chromium-browse,5341
  │ │ ├─{chromium-browse},5345
  │ │ ├─{chromium-browse},5346
  │ │ └─{chromium-browse},5354
  │ └─chromium-browse,5348
  │ ├─{chromium-browse},5352
  │ ├─{chromium-browse},5353
  │ └─{chromium-browse},5355
  ├─colord,963
  │ ├─{colord},997
  │ └─{colord},1438
  ├─console-kit-dae,1491 --no-daemon
  │ ├─{console-kit-dae},1501
  │ ├─{console-kit-dae},1502
  │ ├─{console-kit-dae},1503
  │ ├─{console-kit-dae},1504
  │ ...

Karma Dorje (taaroa) wrote :

just got this bug for the first time. here's my pstree:

$ sudo fuser /var/cache/debconf/config.dat
/var/cache/debconf/config.dat: 25743

$ sudo pstree -s 25743
init───frontend─┬─grub-pc.postins───ucf
                └─whiptail

$ lsb_release -rd
Description: Ubuntu quantal (development branch)
Release: 12.10

Dan Sanderson (9v5uh4p) wrote :

Hopefully another data point: I accidentally started an install of the "ppm" package using "sudo apt-get install ppm" (I had the wrong package name), and it appeared to try to install kexec-tools. It hung during setup of kexec-tools (similar to http://ubuntuforums.org/archive/index.php/t-1214718.html), so I interrupted the process. After this, I could not get pending set-up to finish because /var/cache/debconf/config.dat was locked, like so:

~% pstree -alps 8300
init,1
  └─aptd,3060 /usr/sbin/aptd
      └─dpkg,3098 --status-fd 14 --configure -a --force-confdef --force-confold
          └─frontend,8300 -w /usr/share/debconf/frontend /var/lib/dpkg/info/kexec-tools.postinst configure 1:2.0.2-1ubuntu4
              └─kexec-tools.pos,8303 /var/lib/dpkg/info/kexec-tools.postinst configure 1:2.0.2-1ubuntu4
                  └─update-grub,8313 /usr/sbin/update-grub

I was able to kill -kill 8313 (update-grub), then clean up as suggested in this bug.

~% lsb_release -rd
Description: Ubuntu 12.04.1 LTS
Release: 12.04

Artur Dick (fastback48) wrote :

artur@artur-VirtualBox:~$ pstree -alps 12573
init,1
  └─sh,12572 -c /usr/sbin/dpkg-preconfigure --apt || true
      └─dpkg-preconfigu,12573 -w /usr/sbin/dpkg-preconfigure --apt
          ├─(dpkg-preconfigu,12579)
          ├─postfix.config.,12591 -w /tmp/postfix.config.125801 configure
          └─whiptail,12611 --backtitle Paketkonfiguration --title Postfix Configuration --output-fd 12 --default-item Internet-Site --menu Allgemeine Art der Konfiguration: 13 38 5 -- Keine Konfiguration Internet-Site Internet mit Smarthost Satellitensystem Nur lokal
artur@artur-VirtualBox:~$ lsb_release -rd
Description: Ubuntu 12.04.1 LTS
Release: 12.04

martin suc (martin-suc) wrote :

I did following to solve it (many combination):

sudo rm /var/lib/dpkg/lock
sudo rm /var/cache/apt/archives/lock
sudo fuser -v /var/cache/debconf/config.dat
sudo kill
#check if it has been killed or/and appeared again than kill again.

(For instance: I have been using it many times when I have been upgrading from 12.04 to 12.10 quantal due to solve some hang ups of application upgrading (as well apt-get install -f or/and dpkg --configure -a))

David Spencer (haraisuru) wrote :

init,1
  └─aptd,2161 /usr/sbin/aptd
      └─aptd,2266 /usr/sbin/aptd
          └─sh,2269 -c /usr/sbin/dpkg-preconfigure --apt || true
              └─dpkg-preconfigu,2270 -w /usr/sbin/dpkg-preconfigure --apt
                  ├─(dpkg-preconfigu,2272)
                  └─snort.config.22,2325 -e /tmp/snort.config.22733 configure

Download full text (12.6 KiB)

init,1
  ├─NetworkManager,1052
  │ ├─dhclient,1134 -d -4 -sf /usr/lib/NetworkManager/nm-dhcp-client.action -pf /var/run/sendsigs.omit.d/network-manager.dhclient-wlan0.pid -lf /var/lib/dhcp/dhclient-9ad1f202-c2a9-465e-a887-6cf15868c132-wlan0.lease -cf /var/run/nm-dhclient-wlan0.conf wlan0
  │ ├─dnsmasq,1138 --no-resolv --keep-in-foreground --no-hosts --bind-interfaces --pid-file=/var/run/sendsigs.omit.d/network-manager.dnsmasq.pid --listen-address=127.0.0.1 --conf-file=/var/run/nm-dns-dnsmasq.conf --cache-size=0 --proxy-dnssec
  │ ├─{NetworkManager},1070
  │ └─{NetworkManager},1135
  ├─accounts-daemon,1549
  │ └─{accounts-daemon},1550
  ├─acpid,1289 -c /etc/acpi/events -s /var/run/acpid.socket
  ├─apache2,1321 -k start
  │ ├─apache2,1326 -k start
  │ ├─apache2,1329 -k start
  │ │ ├─{apache2},1333
  │ │ ├─{apache2},1342
  │ │ ├─{apache2},1349
  │ │ ├─{apache2},1351
  │ │ ├─{apache2},1353
  │ │ ├─{apache2},1355
  │ │ ├─{apache2},1357
  │ │ ├─{apache2},1359
  │ │ ├─{apache2},1371
  │ │ ├─{apache2},1372
  │ │ ├─{apache2},1374
  │ │ ├─{apache2},1375
  │ │ ├─{apache2},1376
  │ │ ├─{apache2},1377
  │ │ ├─{apache2},1378
  │ │ ├─{apache2},1379
  │ │ ├─{apache2},1380
  │ │ ├─{apache2},1381
  │ │ ├─{apache2},1382
  │ │ ├─{apache2},1383
  │ │ ├─{apache2},1384
  │ │ ├─{apache2},1385
  │ │ ├─{apache2},1386
  │ │ ├─{apache2},1387
  │ │ ├─{apache2},1388
  │ │ └─{apache2},1389
  │ └─apache2,1331 -k start
  │ ├─{apache2},1335
  │ ├─{apache2},1336
  │ ├─{apache2},1337
  │ ├─{apache2},1338
  │ ├─{apache2},1339
  │ ├─{apache2},1340
  │ ├─{apache2},1341
  │ ├─{apache2},1343
  │ ├─{apache2},1344
  │ ├─{apache2},1346
  │ ├─{apache2},1347
  │ ├─{apache2},1350
  │ ├─{apache2},1352
  │ ├─{apache2},1354
  │ ├─{apache2},1356
  │ ├─{apache2},1358
  │ ├─{apache2},1360
  │ ├─{apache2},1361
  │ ├─{apache2},1362
  │ ├─{apache2},1363
  │ ├─{apache2},1364
  │ ├─{apache2},1365
  │ ├─{apache2},1366
  │ ├─{apache2},1367
  │ ├─{apache2},1368
  │ └─{apache2},1369
  ├─aptd,2339 /usr/sbin/aptd
  │ ├─aptd,2417 /usr/sbin/aptd
  │ │ └─dpkg,2577 --status-fd 58 --configure libc6:i386 man-db:i386 memtest86+:i386 ubuntu-standard:i386 libc-dev-bin:i386 libc6-dev:i386 python-gpgme:i386 nautilus-dropbox:i386
  │ │ └─frontend,3699 -w /usr/share/debconf/frontend /var/lib/dpkg/info/memtest86+.postinst configure 4.20-1ubuntu1
  │ │ └─(memtest86+.post,3702)
  │ └─{aptd},2418
  ├─atd,1316
  ├─avahi-daemon,1060
  │ └─avahi-daemon,1064
  ├─bamfdaemon,2102
  │ ├─{bamfdaemon},2103
  │ └─{bamfdaemon},2104
  ├─bluetoothd,1037
  ├─chromium-browse,5202
  │ ├─chromium-browse,5205
  │ ├─chromium-browse,5300
  │ │ ├─{chromium-browse},5302
  │ │ └─{chromium-browse},5303
  │ ├─{chromium-browse},5212
  │ ├─{chromium-browse},5214
  │ ├─{chromium-browse},5215
  │ ├─{chromium-browse},5216
  │ ├─{chromium-browse},5217
  │ ├─{chromium-browse},5218
  │ ├─{chromium-browse},5219
  │ ├─{chrom...

Ads20000 (ads20000) wrote :
Download full text (8.9 KiB)

ads@ads-laptop:~$ pstree -alps $pid
init,1
  ├─NetworkManager,737
  │ ├─dhclient,984 -d -4 -sf /usr/lib/NetworkManager/nm-dhcp-client.action -pf /var/run/sendsigs.omit.d/network-manager.dhclient-eth1.pid -lf /var/lib/dhcp/dhclient-976010fd-d5e0-43d0-a67f-2e9ba75a2036-eth1.lease -cf /var/run/nm-dhclient-eth1.conf eth1
  │ ├─dnsmasq,1122 --no-resolv --keep-in-foreground --no-hosts --bind-interfaces --pid-file=/var/run/sendsigs.omit.d/network-manager.dnsmasq.pid --listen-address=127.0.0.1 --conf-file=/var/run/nm-dns-dnsmasq.conf --cache-size=0 --proxy-dnssec
  │ ├─{NetworkManager},952
  │ └─{NetworkManager},985
  ├─accounts-daemon,999
  │ └─{accounts-daemon},1000
  ├─atd,892
  ├─bluetoothd,575
  ├─chromium-browse,1772
  │ ├─chromium-browse,1774
  │ ├─chromium-browse,1863
  │ │ ├─{chromium-browse},1867
  │ │ └─{chromium-browse},1868
  │ ├─{chromium-browse},1781
  │ ├─{chromium-browse},1782
  │ ├─{chromium-browse},1783
  │ ├─{chromium-browse},1784
  │ ├─{chromium-browse},1785
  │ ├─{chromium-browse},1786
  │ ├─{chromium-browse},1787
  │ ├─{chromium-browse},1788
  │ ├─{chromium-browse},1789
  │ ├─{chromium-browse},1790
  │ ├─{chromium-browse},1791
  │ ├─{chromium-browse},1792
  │ ├─{chromium-browse},1793
  │ ├─{chromium-browse},1795
  │ ├─{chromium-browse},1796
  │ ├─{chromium-browse},1797
  │ ├─{chromium-browse},1800
  │ ├─{chromium-browse},1813
  │ ├─{chromium-browse},1840
  │ ├─{chromium-browse},1849
  │ ├─{chromium-browse},1851
  │ ├─{chromium-browse},1852
  │ ├─{chromium-browse},1853
  │ ├─{chromium-browse},1856
  │ ├─{chromium-browse},1857
  │ ├─{chromium-browse},1858
  │ ├─{chromium-browse},1859
  │ ├─{chromium-browse},1860
  │ ├─{chromium-browse},1862
  │ └─{chromium-browse},1869
  ├─chromium-browse,1776 /usr/lib/chromium-browser/chromium-browser --type=zygote
  │ └─chromium-browse,1777
  │ ├─chromium-browse,1806
  │ │ ├─{chromium-browse},1808
  │ │ ├─{chromium-browse},1811
  │ │ └─{chromium-browse},1838
  │ ├─chromium-browse,1814
  │ │ ├─{chromium-browse},1820
  │ │ ├─{chromium-browse},1821
  │ │ └─{chromium-browse},1836
  │ ├─chromium-browse,1822
  │ │ ├─{chromium-browse},1826
  │ │ ├─{chromium-browse},1827
  │ │ ├─{chromium-browse},1835
  │ │ ├─{chromium-browse},1877
  │ │ ├─{chromium-browse},1878
  │ │ ├─{chromium-browse},1879
  │ │ ├─{chromium-browse},1880
  │ │ ├─{chromium-browse},1881
  │ │ ├─{chromium-browse},1882
  │ │ ├─{chromium-browse},1883
  │ │ ├─{chromium-browse},1884
  │ │ ├─{chromium-browse},1885
  │ │ ├─{chromium-browse},1886
  │ │ ├─{chromium-browse},1887
  │ │ ├─{chromium-browse},1888
  │ │ ├─{chromium-browse},1889
  │ │ ├─{chromium-browse},1890
  │ │ ├─{chromium-browse},1891
  │ │ ├─{chromium-browse},1892
  │ │ ├─{chromium-browse},1893
  │ │ ├─{chromium-browse},1894
  │ │ ├─{chromium-browse},1895
  │ │ ├─{chromium-browse},1896
  │ │ ├─{chromium-browse},1897
  │ │ ├─{chromium-b...

Read more...

Dmitry Sus (deadgnom32) wrote :

visor1933@ubuntu:~$ sudo fuser /var/cache/debconf/config.dat
[sudo] password for visor1933:
/var/cache/debconf/config.dat: 15070
visor1933@ubuntu:~$ pstree -alps 15070
init,1
  └─aptd,14317 /usr/sbin/aptd
      └─aptd,15067 /usr/sbin/aptd
          └─sh,15069 -c /usr/sbin/dpkg-preconfigure --apt || true
              └─dpkg-preconfigu,15070 -w /usr/sbin/dpkg-preconfigure --apt
                  └─(dpkg-preconfigu,15072)

walter /home/wgarcia 10:15am 55> sudo fuser /var/cache/debconf/config.dat
/var/cache/debconf/config.dat: 22417
walter /home/wgarcia 10:20am 56> pstree -alps 22417
init,1
  └─dpkg,22416 --status-fd 57 --configure mysql-server-5.5:amd64 mysql-server:all
      └─frontend,22417 -w /usr/share/debconf/frontend /var/lib/dpkg/info/mysql-server-5.5.postinst configure 5.5.27-0ubuntu2
          └─mysql-server-5.,22427 -e /var/lib/dpkg/info/mysql-server-5.5.postinst configure 5.5.27-0ubuntu2
              └─invoke-rc.d,22610 /usr/sbin/invoke-rc.d mysql start
                  └─mysql,22626 -e /etc/init.d/mysql start
                      └─start,22637 mysql

Haslé Pauline (haslepauline) wrote :
Download full text (16.7 KiB)

I got :

hclient-8587290f-0231-4e34-82dc-085c623e9395-eth0.lease -cf /var/run/nm-dhclient-eth0.conf eth0
  │ ├─dnsmasq,2229 --no-resolv --keep-in-foreground --no-hosts --bind-interfaces --pid-file=/var/run/sendsigs.omit.d/network-manager.dnsmasq.pid --listen-address=127.0.0.1 --conf-file=/var/run/nm-dns-dnsmasq.conf --cache-size=0 --proxy-dnssec
  │ ├─{NetworkManager},915
  │ └─{NetworkManager},2202
  ├─accounts-daemon,1386
  │ └─{accounts-daemon},1399
  ├─acpid,1148 -c /etc/acpi/events -s /var/run/acpid.socket
  ├─at-spi-bus-laun,3475
  │ ├─{at-spi-bus-laun},3476
  │ └─{at-spi-bus-laun},3478
  ├─atd,1182
  ├─avahi-daemon,914
  │ └─avahi-daemon,916
  ├─bamfdaemon,1865
  │ ├─{bamfdaemon},1867
  │ └─{bamfdaemon},1869
  ├─bluetoothd,897
  ├─chromium-browse,4334
  │ ├─chromium-browse,4338
  │ ├─chromium-browse,4572
  │ │ ├─{chromium-browse},4686
  │ │ └─{chromium-browse},4688
  │ ├─(chromium-browse,5973)
  │ ├─{chromium-browse},4348
  │ ├─{chromium-browse},4349
  │ ├─{chromium-browse},4350
  │ ├─{chromium-browse},4351
  │ ├─{chromium-browse},4352
  │ ├─{chromium-browse},4353
  │ ├─{chromium-browse},4355
  │ ├─{chromium-browse},4356
  │ ├─{chromium-browse},4357
  │ ├─{chromium-browse},4358
  │ ├─{chromium-browse},4359
  │ ├─{chromium-browse},4360
  │ ├─{chromium-browse},4361
  │ ├─{chromium-browse},4363
  │ ├─{chromium-browse},4401
  │ ├─{chromium-browse},4407
  │ ├─{chromium-browse},4470
  │ ├─{chromium-browse},4489
  │ ├─{chromium-browse},4633
  │ ├─{chromium-browse},4712
  │ └─{chromium-browse},14858
  ├─chromium-browse,4341 /usr/lib/chromium-browser/chromium-browser --type=zygote
  │ └─chromium-browse,4342
  │ ├─chromium-browse,4481
  │ │ ├─{chromium-browse},4499
  │ │ ├─{chromium-browse},4509
  │ │ └─{chromium-browse},4636
  │ ├─chromium-browse,4523
  │ │ ├─{chromium-browse},4528
  │ │ ├─{chromium-browse},4533
  │ │ └─{chromium-browse},4640
  │ ├─chromium-browse,4535
  │ │ ├─{chromium-browse},4547
  │ │ ├─{chromium-browse},4550
  │ │ └─{chromium-browse},4639
  │ ├─chromium-browse,4545
  │ │ ├─{chromium-browse},4548
  │ │ ├─{chromium-browse},4552
  │ │ └─{chromium-browse},4638
  │ ├─chromium-browse,4558
  │ │ ├─{chromium-browse},4562
  │ │ ├─{chromium-browse},4568
  │ │ └─{chromium-browse},4635
  │ └─chromium-browse,11883
  │ ├─{chromium-browse},11885
  │ ├─{chromium-browse},11886
  │ ├─{chromium-browse},11889
  │ └─{chromium-browse},11901
  ├─chromium-browse,16489
  │ ├─chromium-browse,16493
  │ ├─chromium-browse,16651
  │ │ ├─{chromium-browse},16681
  │ │ └─{chromium-browse},16682
  │ ├─{chromium-browse},16501
  │ ├─{chromium-browse},16505
  │ ├─{chromium-browse},16509
  │ ├─{chromium-browse},16510
  │ ├─{chromium-browse},16511
  │ ├─{chromium-browse},16513
  │ ├─{chromium-browse},16515
  │ ├─{chromium-browse},16518
  │ ├─{chromium-browse},16519
  │ ├─{chromium-browse},16521
  │ ├─{chromium-browse},16522
  │ ├─{chromium-browse},16524
  │ ...

Download full text (8.2 KiB)

lubuntu@lubuntu:~$ sudo fuser /var/cache/debconf/config.dat
lubuntu@lubuntu:~$ su
Mot de passe :
root@lubuntu:/home/lubuntu# sudo fuser /var/cache/debconf/config.dat
root@lubuntu:/home/lubuntu# pstree -alps $pid
init,1
  ├─NetworkManager,4073
  │ ├─dhclient,4373 -d -4 -sf /usr/lib/NetworkManager/nm-dhcp-client.action -pf /var/run/sendsigs.omit.d/network-manager.dhclient-eth0.pid -lf /var/lib/dhcp/dhclient-68a76378-2b97-488b-b0c5-d1dbe7c053b4-eth0.lease -cf /var/run/nm-dhclient-eth0.conf eth0
  │ ├─dnsmasq,5100 --no-resolv --keep-in-foreground --no-hosts --bind-interfaces --pid-file=/var/run/sendsigs.omit.d/network-manager.dnsmasq.pid --listen-address=127.0.0.1 --conf-file=/var/run/nm-dns-dnsmasq.conf --cache-size=0 --proxy-dnssec
  │ ├─{NetworkManager},4251
  │ └─{NetworkManager},4374
  ├─accounts-daemon,4967
  │ └─{accounts-daemon},4968
  ├─atd,3282
  ├─bluetoothd,2837
  ├─chromium-browse,6093 /usr/lib/chromium-browser/chromium-browser --type=zygote
  │ └─chromium-browse,6094
  │ ├─chromium-browse,6240
  │ │ ├─{chromium-browse},6244
  │ │ ├─{chromium-browse},6246
  │ │ └─{chromium-browse},6247
  │ ├─chromium-browse,6285
  │ │ ├─{chromium-browse},6289
  │ │ ├─{chromium-browse},6290
  │ │ └─{chromium-browse},6292
  │ ├─chromium-browse,6336
  │ │ ├─{chromium-browse},6341
  │ │ ├─{chromium-browse},6342
  │ │ └─{chromium-browse},6345
  │ └─chromium-browse,6394
  │ ├─{chromium-browse},6397
  │ ├─{chromium-browse},6399
  │ └─{chromium-browse},6401
  ├─console-kit-dae,4055 --no-daemon
  │ ├─{console-kit-dae},4082
  │ ├─{console-kit-dae},4083
  │ ├─{console-kit-dae},4084
  │ ├─{console-kit-dae},4085
  │ ├─{console-kit-dae},4086
  │ ├─{console-kit-dae},4087
  │ ├─{console-kit-dae},4088
  │ ├─{console-kit-dae},4089
  │ ├─{console-kit-dae},4090
  │ ├─{console-kit-dae},4091
  │ ├─{console-kit-dae},4092
  │ ├─{console-kit-dae},4093
  │ ├─{console-kit-dae},4094
  │ ├─{console-kit-dae},4095
  │ ├─{console-kit-dae},4096
  │ ├─{console-kit-dae},4097
  │ ├─{console-kit-dae},4098
  │ ├─{console-kit-dae},4099
  │ ├─{console-kit-dae},4100
  │ ├─{console-kit-dae},4101
  │ ├─{console-kit-dae},4102
  │ ├─{console-kit-dae},4103
  │ ├─{console-kit-dae},4104
  │ ├─{console-kit-dae},4105
  │ ├─{console-kit-dae},4106
  │ ├─{console-kit-dae},4107
  │ ├─{console-kit-dae},4108
  │ ├─{console-kit-dae},4109
  │ ├─{console-kit-dae},4110
  │ ├─{console-kit-dae},4111
  │ ├─{console-kit-dae},4112
  │ ├─{console-kit-dae},4113
  │ ├─{console-kit-dae},4114
  │ ├─{console-kit-dae},4115
  │ ├─{console-kit-dae},4116
  │ ├─{console-kit-dae},4117
  │ ├─{console-kit-dae},4118
  │ ├─{console-kit-dae},4119
  │ ├─{console-kit-dae},4120
  │ ├─{console-kit-dae},4121
  │ ├─{console-kit-dae},4122
  │ ├─{console-kit-dae},4123
  │ ├─{console-kit-dae},4124
  │ ├─{console-kit-dae},4125
  │ ├─{console-kit-dae},4126
  │ ├─{console-kit-dae},4127
  │ ├─{console-kit-dae},4128
  │ ├─{console-kit-dae},4129
  │ ├─{console-kit-dae},4130
  │ ├─{console-kit-dae},4131
  │ ├─...

Read more...

Changed in aptdaemon (Ubuntu):
assignee: nobody → abdelilah (abdelilah51992)
Karma Dorje (taaroa) on 2012-11-27
Changed in aptdaemon (Ubuntu):
assignee: abdelilah (abdelilah51992) → nobody
1 comments hidden view all 103 comments
FuzzyQ (atomicfuzzyq) wrote :

I got the following:

pstree -alps 13816
init,1
  └─aptd,13791 /usr/sbin/aptd
      └─aptd,13812 /usr/sbin/aptd
          └─sh,13815 -c /usr/sbin/dpkg-preconfigure --apt || true
              └─dpkg-preconfigu,13816 -w /usr/sbin/dpkg-preconfigure --apt
                  ├─apt-fast.config,13835 -w /tmp/apt-fast.config.138231 configure 1.7.5-2~quantal1
                  ├─(dpkg-preconfigu,13822)
                  └─whiptail,13840 --backtitle Paketkonfiguration --title Konfiguriere apt-fast --output-fd 12 --nocancel --default-item aria2c --menu \012\012Downloadhelfer-Auswahl: 12 36 2 -- aria2c benutzerdefiniert

Clint Byrum (clint-fewbar) wrote :

Everybody, the problem is by now well understood. There is a need to
have debconf not explode in a fiery ball of errors when something else
has the database locked.

As such, there's no need to post your ps tree anymore, but thank you
everyone who has!

Shouldn't this bug be reported upstream or is there a reason why this affects just Ubuntu?

description: updated

(I'm asking because I see a high number of affected users/duplicates, but I can't find an equivalent bug on Debian BTS)

sm (supermorph) wrote :

the way i fix it was doing this....

checked what was using it,

root@ubuntu:/home/supermorph# fuser -v /var/cache/debconf/config.dat
                     USER PID ACCESS COMMAND /var/cache/debconf/config.dat:
                     root 13654 F.... debconf-communi

i then issue a kill command to the pid 13654 (it might be different for you, do not copy n paste just incase something happens)
root@ubuntu:/home/supermorph# kill 13654

it done it,
root@ubuntu:/home/supermorph#

i then proceeded to continue configuring the apps by issuing command, i checked again first though, (to be sure)
root@ubuntu:/home/supermorph# fuser -v /var/cache/debconf/config.dat

root@ubuntu:/home/supermorph# (blank, so it has no locked process now)

then,
root@ubuntu:/home/supermorph# dpkg--configure -a

and bingo, works now.

CSRedRat (csredrat) wrote :

Affected today with update. Ubuntu 13.04.

Léa GRIS (lea-gris) wrote :

Same, affected with today update within 13.04

Siddhanathan S. (siddhanathan) wrote :

Can confirm, affected today with update. Ubuntu 13.04

Shao-Wen, Young (b00507031) wrote :

I'm using Lubuntu 13.04(amd64) with kernel version of 3.8.0-16.26; just after bumping into bug 1026149 EVERYtime trying to update by update-manager, I opened a terminal and typed "sudo apt-det update && sudo apt-get upgrade" . Then an apport dialog popped up and took me here.

taoma (1585641394-n) wrote :

I solve the problem by Thomas Zahreddin (thomas-zahreddin) way! very thanks!
I am chinese new hand to study ubuntu,welcome to communication!

2 comments hidden view all 103 comments
徐梦阳 (chxumengyang) wrote :

affected today ,by install and reinstall apache~

6 comments hidden view all 103 comments
codeslinger (codeslinger) wrote :

I just hit this bug while installing 12.04 from a flashdrive

basically it was a simple case of user error, however it is also a program error too, because it is not effective for a program to crash as a means to tell the user that they did something wrong.

if a program has a choice between crashing or checking to see if a file is locked, then it should certainly do the check... this allows the program to exit gracefully and clean-up and most especially it allows for proper informational notices. The alternative is that the user is left perplexed, the bug database gets flooded, and users are forced to reboot because of a simple error....

Steps to Repro (this is only one of many possible scenarios)

1) Start the Installer (ubiquity)

2) While on the "Welcome" choose language screen, open a terminal

3) sudo apt-get install lm-sensors (or any other not currently installed program)

result: crash

expected: error message telling me the resource is locked

note: after quiting the installer... find that system is in unusable state and must reboot

someone needs to give that program a dose of Ubuntu Community Spirit :-)

Mike Miller (akf-mike-nw2) wrote :

Wow, this has been around for quite sometime and to still be affecting an LTS release is interesting. Bump +1 happened when I was trying to install gnome-system-tools and most of the packs recommended by apt to go along with it and got this error several times during installation and application of changes after downloads.

Txopi (txopi) wrote :

Like #16 I executed an apt-get install while software-center was running. That seems to be the cause of the crash.

Ibra_dee (deemas-666) on 2013-06-28
Changed in aptdaemon (Ubuntu):
assignee: nobody → Ibra_dee (deemas-666)
Arv Evans (arvid-evans) wrote :

I was installing ssmtp in Ubuntu 12.04
no other apt-gets or software center or synaptic was running at the time.

SYSTEM: AMD 2X64-3800 with 4GB RAM and 1TB HD. Ubuntu 12.04 is up to date.

Arv Evans (arvid-evans) wrote :

While installing ssmtp...seems to point to a broken install of exim4 or exim4-config.
dpkg was messed up and required "apt-get install -f" to fix.

Jennifer (heck-jennifer) on 2013-11-24
Changed in aptdaemon (Ubuntu):
assignee: Ibra_dee (deemas-666) → Jennifer (heck-jennifer)
Changed in debconf (Ubuntu):
assignee: Ubuntu Foundations Team (ubuntu-foundations-team) → nobody
Fadwa (fadwa-gmiden) on 2013-11-29
Changed in aptdaemon (Ubuntu):
status: Confirmed → Fix Released
Steve Langasek (vorlon) on 2013-11-29
Changed in aptdaemon (Ubuntu):
assignee: Jennifer (heck-jennifer) → nobody
Steve Langasek (vorlon) on 2013-11-29
Changed in aptdaemon (Ubuntu):
status: Fix Released → Confirmed

thanks to all the comment. actually, what i'm doing is, i format the PC
again. n I can use it

On Sat, Nov 30, 2013 at 7:17 AM, Steve Langasek <
<email address hidden>> wrote:

> ** Changed in: aptdaemon (Ubuntu)
> Status: Fix Released => Confirmed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/349469
>
> Title:
> debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by
> another process: Resource temporarily unavailable
>
> Status in Ambasa Operating System:
> New
> Status in Debconf:
> New
> Status in “aptdaemon” package in Ubuntu:
> Confirmed
> Status in “debconf” package in Ubuntu:
> Triaged
>
> Bug description:
> Upgrading packages that use debconf sometimes fail with the following
> error:
>
> debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by
> another process: Resource temporarily unavailable
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ambasa/+bug/349469/+subscriptions
>

--
'the more u give, the more that u get''

Nur Sabrina Binti Risman
Biochip and Medical SoC Laboratory,
Faculty of Biosciences and Medical Engineering,
Universiti Teknologi Malaysia.
Tel : 013 791 4623

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Kate

Kate Dyson
CEO at Poe and Stell's Dag Biscuits
British Columbia, Canada

Confirm that you know Kate Dyson:
https://www.linkedin.com/e/-iagsrj-hp5xp4xu-5v/isd/18675747669/AtTp8LgC/?hs=false&tok=2I69kUJC1WKm01

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/-iagsrj-hp5xp4xu-5v/qN7mur3mdZqLfU8msuzwOfWmBa82Nfnz-KUbBMQ/goo/349469%40bugs%2Elaunchpad%2Enet/20061/I6091572473_1/?hs=false&tok=3dO3-F_hRWKm01

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

drink (martin-espinoza) wrote :

extlinux install hung so I killed dpkg. fuser -v /var/cache/debconf/config.dat returns nothing. but I'm still getting this error.

Displaying first 40 and last 40 comments. View all 103 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.